# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class estoquepedidos_pedido_capa(osv.Model):

    _inherit = 'estoquepedidos.pedido.capa'

    def pedcap_button_print_separacao(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}

        return {
            'type': 'ir.actions.report.xml',
            'report_name': 'madeireira_estoquepedidos_separacao',
            'datas': {'ids': ids},
        }

    def pedcap_button_imprimir(self, cr, uid, ids, context=None):
        '''
        Imprime o pedido do madeireira
        :param cr:
        :param uid:
        :param ids:
        :param context:
        :return:
        '''

        context = context and context.copy() or {}
        self.write(cr, uid, ids, {'pedcap_ja_impresso': True}, context)

        if isinstance(ids, (list, tuple)):
            ids = ids[0]
        return {
            'type': 'ir.actions.report.xml',
            'report_name': 'estoquepedidos.pedido.capa',
            'name': self.browse(cr, uid, ids, context=context).numero_pedido,
        }
